Servers - General

Powershell | iLO5 | HPEiLOCmdlets 3.0.0.1 | import-HPEiLOLDAPCACertificate

 
Erik Grimsrud
Occasional Advisor

Powershell | iLO5 | HPEiLOCmdlets 3.0.0.1 | import-HPEiLOLDAPCACertificate

Running command import-HPEiLOLDAPCACertificate immidiately throws error stating
"CertificateType Parameter(s) not supplied."

Running help on this command does not show that we need to enter a "CertificateType" parameter. I have tried to suppy the certificate in multiple differet ways and get the same error message.

NOTE: I did not have this problem when my ILO 5 was running firmware version 1.46. Once I upgrade my ILO5 firmware to 2.14 I started getting the error. Same issue with the latest 2.31 firmware as well.

PS H:\> import-HPEiLOLDAPCACertificate -Connection $iloconnection -Certificate $cert

import-HPEiLOLDAPCACertificate : [XXXXXXXXXXXX-mgmt.xxx.xxx.com]: CertificateType parameter(s) not supplied. For
more details about using this cmdlet, see the help.
At line:1 char:1
+ import-HPEiLOLDAPCACertificate -Connection $iloconnection -Certificat ...
+ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+ CategoryInfo : OperationStopped: (:) [Import-HPEiLOLDAPCACertificate], Exception
+ FullyQualifiedErrorId : HPE.iLO.Cmdlet.ImportHPEiLOLDAPCACertificate

I also tried backing the HPECMDlets down to version 3.0.0.0 and 2.2.0.0. I do not get the above  error with these versions, but Redfish states there is a PropertyType missing.

6 REPLIES 6
SanjeevGoyal
HPE Pro

Re: Powershell | iLO5 | HPEiLOCmdlets 3.0.0.1 | import-HPEiLOLDAPCACertificate

Hello,

Thank you for sharing your query.

I would suggest you have a proper case be logged with HPE because that it requires deep analysis from the logs, Hence 

share the appropriate logs for further analysis.

If you feel this was helpful please click the KUDOS! thumb below!   

Regards,


I am a HPE Employee

Accept or Kudo

Michel-CO
Occasional Advisor

Re: Powershell | iLO5 | HPEiLOCmdlets 3.0.0.1 | import-HPEiLOLDAPCACertificate

Hi Erik,

have you already found the following? On Github there was already a problem here that might be the same?

 

Michel-CO

Erik Grimsrud
Occasional Advisor

Re: Powershell | iLO5 | HPEiLOCmdlets 3.0.0.1 | import-HPEiLOLDAPCACertificate

Hey Michael,

For me I have found the below 3 different CMDlets that do not work correctly when running CMDLet version 3.0.0.0 and 3.0.0.1 along with iLO5 firmware 2.30, 2.30a, and 2.31.

Add-HPEiLODirectoryGroup - Target URL(s) could not be found

Import-HPEiLOLDAPCACertificate - Missing CertificateType or Missing Propery Type

Update-HPEiLOFirmware - Object reference not set to an instance of an object.

 

By the way I back down one of my iLOs to 1.43 manually and I can run all three of theses. When I upgrade the firmware all three of these CMDlets stop working. I did not find anything on Git-Hub about this specific problem....at least anything I can search for.

Stately
New Member

Re: Powershell | iLO5 | HPEiLOCmdlets 3.0.0.1 | import-HPEiLOLDAPCACertificate

Hey Eric

I have the Problem the "Update-HPEILOFirmaware-Cmndlet-Problem you describe. I can't find some other posts about the problem. Do you know if there is there still no solution for the problem? I try to update my ILO 5 from 2.30 to 2.33 and get the error "Object reference not set to an instance of an object". 

Kind Regards

Erik Grimsrud
Occasional Advisor

Re: Powershell | iLO5 | HPEiLOCmdlets 3.0.0.1 | import-HPEiLOLDAPCACertificate

HP Tech Support said that they (HPE Engineering???) are working on a new version of the HPEiLOCMdlets, but that was over a month and a half ago. You and thousands of others are waiting on HP to get the new version of CMDlets out. I am hoping we see them by January. I suspect that HALF, if not more, of the HPEiLOCMDlets in the 3.0.0.1 release do not work with any version of the iLO5 firmware over 2.30. I know for a fact the LDAP CMDlets dont work. FIrmware update CMDlets dont work. Ilo Federation CMDlets dont work. SSL Certificate CMDLets don't work. IPv6 config does not work. Directory Groups do not work. The list just goes on and on. I have had to use the "Directories Support for Proliant Management Processors" application to do some of the stuff I need with LDAP, SSL, and Firmware, but thats really all it does.

MichaelNovak
Visitor

Re: Powershell | iLO5 | HPEiLOCmdlets 3.0.0.1 | import-HPEiLOLDAPCACertificate

Hi

Are there any news in this matter or are there a work around?